POLYGRAPH-SERVER(1)

NAME
polygraph-server - Web Polygraph server simulator

SYNOPSIS
server [--option ...]

OPTIONS

--help
    list of options

--version
    package version info

--host_type
    package build environment info

--verb_lvl <int>
    console verbosity level

--dump <list>
    dump request/replies/errors headers/bodies to console

--dump_size <size>
    limit size of individual msg dump

--notify <addr>
    send notifications to a [remote] monitoring program

--doorman_listen_at <addr>
    where to listen for (and respond to) meta-information requests

--doorman_send_to <addr>
    where to forward meta-information

--label <str>
    run label

--fd_limit <int>
    decrease default fd limit

--config <file>
    configuration file name

--cfg_dirs <list>
    directories to search for cfg files

--console <file>
    redirect console output

--log <file>
    detailed binary log file

--log_buf_size <size>
    buffer size for binary log

--store_working_set <file>
    store working set

--load_working_set <file>
    load working set

--sample_log <file>
    log file for samples

--sample_log_buf_size <size>
    buffer size for sample log

--accept_foreign_msgs
    accept foreign requests or responses

--stats_cycle <time>
    statistics cycle length

--file_scan <epoll|poll|select>
    system call to use for scanning ready files

--priority_sched <int>
    priority level for urgent socket operations

--fake_hosts <list>
    use given addresses, do not lookup real interfaces

--delete_old_addrs <bool>
    delete old IP aliases before adding new ones

--idle_tout <time>
    exit after inactivity timeout

--local_rng_seed <int>
    per-process r.n.g. seed

--global_rng_seed <int>
    per-test r.n.g. seed

--unique_world <bool>
    use URL set that is unique across runs

--hushed_error_tout <time>
    hush frequent error reporting for that long

--ign_urls <bool>
    generate content regardless of the URLs

COPYRIGHT
Copyright © 2003-2006 The Measurement Factory, Inc.

SEE ALSO
polygraph(7) - general information and a list of programs http://www.web-polygraph.org/ - project web site